%define         srcname          wmMoonClock
%define         srcdirname       src


Name:           wmmoonclock
Version:        1.30
Release:        %mkrel 2
Summary:        A dock application showing the phase of the moon and much more
License:        GPLv2
Group:          Sciences/Astronomy

URL:            https://www.dockapps.net/wmmoonclock
Source0:        https://www.dockapps.net/download/wmmoonclock-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel



%description
Wmmoonclock is another dockapp for WindowMaker, or any window manager
and desktop environment that handles dock applications. It displays
the phase of the moon with a very aesthetic picture which can be
clicked on to get the rise and set times, illuminated fraction,
visibility and astronomical coordinates.



%prep
%setup -q

%build
autoreconf -fi
%configure
%make_build



%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
pushd %{srcdirname}
install -D -m 644 %{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1
popd
install -D -m 644 %{name}.desktop  %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc COPYING BUGS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop



%changelog
* Wed Mar 30 2022 umeabot <umeabot> 1.30-2.mga9
+ Revision: 1835310
- Mageia 9 Mass Rebuild

* Sat Jul 11 2020 eatdirt <eatdirt> 1.30-1.mga8
+ Revision: 1605136
- Upgrade to version 1.30

* Sun Mar 22 2020 eatdirt <eatdirt> 1.29-4.mga8
+ Revision: 1558741
- Update url

* Fri Feb 14 2020 umeabot <umeabot> 1.29-3.mga8
+ Revision: 1518207
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.29-2.mga7
+ Revision: 1301699
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 eatdirt <eatdirt> 1.29-1.mga7
+ Revision: 1239441
- Upgrade to version 1.29

* Mon Feb 08 2016 umeabot <umeabot> 1.28-7.mga6
+ Revision: 942571
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.28-6.mga5
+ Revision: 743460
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.28-5.mga5
+ Revision: 690346
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.28-4.mga4
+ Revision: 520150
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.28-3.mga3
+ Revision: 385777
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.28-2.mga3
+ Revision: 314675
- Rebuild for mga3

* Mon Dec 05 2011 eatdirt <eatdirt> 1.28-1.mga2
+ Revision: 176856
- Upgrade to 1.28

* Sat Oct 08 2011 eatdirt <eatdirt> 1.27-1.mga2
+ Revision: 153046
- imported package wmmoonclock


* Fri Oct 08 2011 Chris Ringeval <dirteat@gmail.com> 1.27-1.mga2
- import wmmoonclock
